Package kiyut.sketsa.windows.toolbox

## Class AbstractToolAction

- java.lang.Object
- - org.openide.util.SharedClassObject
  - - org.openide.util.actions.SystemAction
    - - org.openide.util.actions.BooleanStateAction
      - - kiyut.sketsa.windows.toolbox.AbstractToolAction

- All Implemented Interfaces:
    `ActionListener`, `Externalizable`, `Serializable`, `EventListener`, `Action`, `org.openide.util.actions.Presenter`, `org.openide.util.actions.Presenter.Menu`, `org.openide.util.actions.Presenter.Popup`, `org.openide.util.actions.Presenter.Toolbar`, `org.openide.util.HelpCtx.Provider`
  Direct Known Subclasses:
    `AddPointToolAction`, `DefaultSelectionToolAction`, `DirectSelectionToolAction`, `EllipseToolAction`, `ImageToolAction`, `LassoToolAction`, `LineToolAction`, `MovePointToolAction`, `PanToolAction`, `PencilToolAction`, `PenToolAction`, `PolyToolAction`, `RectangleToolAction`, `RemovePointToolAction`, `RotateToolAction`, `ScaleToolAction`, `SkewToolAction`, `TextToolAction`, `TranslateToolAction`, `ZoomInToolAction`, `ZoomOutToolAction`

      public abstract class AbstractToolAction
      extends org.openide.util.actions.BooleanStateAction

  AbstractToolAction is an action wrapper for `Tool` which is used by Toolbox, aka Toolbox Item
  Author:
    Kiyut
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter

      `org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SVGEditorCookie` | `editorCookie` |
    `protected Tool` | `tool` | Canvas Tool

    - ### Fields inherited from class org.openide.util.actions.BooleanStateAction

      `PROP_BOOLEAN_STATE`

    - ### Fields inherited from class org.openide.util.actions.SystemAction

      `PROP_ENABLED, PROP_ICON`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractToolAction()` | Creates a new instance of AbstractToolAction

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(ActionEvent evt)` |
    `org.openide.util.HelpCtx` | `getHelpCtx()` | Overidden to return HelpCtx.DEFAULT_HELP
    `protected Tool` | `getTool()` | Return tool
    `void` | `setSVGEditorCookie​(SVGEditorCookie editorCookie)` | Set SVGEditorCookie

    - ### Methods inherited from class org.openide.util.actions.BooleanStateAction

      `getBooleanState, getMenuPresenter, getPopupPresenter, getToolbarPresenter, initialize, setBooleanState`

    - ### Methods inherited from class org.openide.util.actions.SystemAction

      `clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getName, getValue, iconResource, isEnabled, linkActions, putValue, setEnabled, setIcon`

    - ### Methods inherited from class org.openide.util.SharedClassObject

      `addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removeNotify, removePropertyChangeListener, reset, writeExternal, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.Action

      `accept, addPropertyChangeListener, removePropertyChangeListener`

- - ### Field Detail

    - #### editorCookie

          protected SVGEditorCookie editorCookie

    - #### tool

          protected Tool tool

      Canvas Tool

  - ### Constructor Detail

    - #### AbstractToolAction

          public AbstractToolAction()

      Creates a new instance of AbstractToolAction

  - ### Method Detail

    - #### getHelpCtx

          public org.openide.util.HelpCtx getHelpCtx()

      Overidden to return HelpCtx.DEFAULT_HELP
      Specified by:
        `getHelpCtx` in interface `org.openide.util.HelpCtx.Provider`
      Specified by:
        `getHelpCtx` in class `org.openide.util.actions.SystemAction`

    - #### setSVGEditorCookie

          public void setSVGEditorCookie​(SVGEditorCookie editorCookie)

      Set SVGEditorCookie
      Parameters:
        `editorCookie` - `SVGEditorCookie` to be set

    - #### getTool

          protected Tool getTool()

      Return tool
      Returns:
        `Tool` or `null`

    - #### actionPerformed

          public void actionPerformed​(ActionEvent evt)

      Specified by:
        `actionPerformed` in interface `ActionListener`
      Overrides:
        `actionPerformed` in class `org.openide.util.actions.BooleanStateAction`